Bug 1232475 - [RFE] generate a report of Specific fields in the Content Hosts -> Details section
Summary: [RFE] generate a report of Specific fields in the Content Hosts -> Details se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.1.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-16 20:29 UTC by Ricardo Santamaria
Modified: 2019-10-07 17:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:34 UTC
Foreman Issue Tracker 10521 None None None 2016-08-30 08:46:32 UTC

Description Ricardo Santamaria 2015-06-16 20:29:07 UTC
1. Proposed title of this feature request  
      generate a report of Specific fields in the Content Hosts -> Details section.  Specifically, the fields we need to report on are  Hostname, Type, Description Field, Installed Products, Asset Tage, Manufacturer, Product Name, and CPU Sockets.   
      
    2. Who is the customer behind the request?  
    Account: name and acct # <- please include both  
    Vita (BoeingSAT) Korte

    TAM customer: no  
    SRM customer: no  
    Strategic: no  
      
    3. What is the nature and description of the request?  
      generate a report of Specific fields in the Content Hosts -> Details section.  Specifically, the fields we need to report on are  Hostname, Type, Description Field, Installed Products, Asset Tage, Manufacturer, Product Name, and CPU Sockets.   

    4. Why does the customer need this? (List the business requirements here)  
      
    - For package version reporting we have security requirements that require us to know exactly what versions are installed when issues such as Heartblee (OpenSSL) occur so we can take immediate corrective action.

    - For host detail reporting we have a business requirement to generate this as each host has a unique billing (or chargeline) number.  This number is used for chargeback of the Red Hat Entitlement as well as all other costs associated with the host.  For now we hope to use the Description Field until the ability to add custom fields for host has been added.  

    - It is also very important that we have the ability to generate a report which contains the description field for all hosts in Satellite 6.

    - We need to have this implemented as soon as possible as we are moving more hosts into Red Hat Satellite.


    5. How would the customer like to achieve this? (List the functional requirements here) 
    Like something like what spacewalk-report is in Satellite 5 
      
    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
    N/A
      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)? 

We are targeting RHEL6 and RHEL7 initially for Satellite. We need to have this implemented as soon as possible as we are moving more hosts into Red Hat Satellite. If we are unable to generate these reports we will be unable to continue with the deployment of Red Hat Satellite. 
      
    9. Is the sales team involved in this request and do they have any additional input?  
    NO
      
    10. List any affected packages or components.  
    N/A
      
    11. Would the customer be able to assist in testing this functionality if implemented?

We would be able to assist in testing the functionality if implemented.

Comment 1 RHEL Product and Program Management 2015-06-16 20:32:42 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2016-07-08 20:24:19 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 7 Ondřej Pražák 2016-08-26 07:55:50 UTC
Created redmine issue http://projects.theforeman.org/issues/16314 from this bug

Comment 8 Ondřej Pražák 2016-08-30 08:46:29 UTC
Connecting redmine issue http://projects.theforeman.org/issues/10521 from this bug

Comment 9 pm-sat@redhat.com 2018-07-16 14:03:25 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 10 pm-sat@redhat.com 2018-07-16 14:03:28 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 11 Bryan Kearney 2018-07-18 17:57:15 UTC
Hammer CSV can be used to fulfill this request. Please see the document at https://access.redhat.com/blogs/1169563/posts/2938111 for more information.

Comment 12 pm-sat@redhat.com 2018-08-02 15:50:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/10521 has been resolved.

Comment 15 Lukáš Hellebrandt 2019-01-03 11:59:01 UTC
Verified with Sat 6.5 snap 9.

This is covered by the Reporting feature. Users can write their own scripts using any data they need, including columns from multiple entity types at once. The output can be in any text format including csv.

Furthermore, we have the following pre-made reports:
"Applicable errata" with columns "Host,Operating System,Environment,Erratum,Type,Published,Applicable since,Severity,Packages,CVEs,Reboot suggested"
"Host statuses CSV" with columns "Name,Global,Addons,Build,Compliance,Configuration,Errata,Execution,Role,Service Level,Subscription,System Purpose,Traces,Usage"
"Registered hosts" with columns "Name,Ip,Operating System,Subscriptions,Applicable Errata,Owner,Kernel,Latest kernel available"
"Subscriptions" with columns "ID,Name,Available,Quantity,SKU,Contract number"

Comment 17 errata-xmlrpc 2019-05-14 12:36:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.